classification
Title: distutils2: install action should support same options as install command
Type: enhancement Stage: resolved
Components: Distutils2 Versions: Python 3.3, 3rd party
process
Status: closed Resolution: out of date
Dependencies: 14871 Superseder:
Assigned To: eric.araujo Nosy List: Arfrever, alexis, eric.araujo, tarek
Priority: normal Keywords:

Created on 2011-09-08 17:49 by brett.cannon, last changed 2014-03-13 00:58 by eric.araujo. This issue is now closed.

Messages (3)
msg143734 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-09-08 17:49
Distutils2/packaging does not support all the flags provided in distutils (e.g., --user, --prefix, etc.). It would be good to provide the same level of install control (or at least support the --user flag).
msg156735 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-03-25 06:57
To be clear, the distutils2 install command (currently spelled install_dist but see #13160) does have all these options, it’s the install action that needs to expose them too.
msg161290 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-05-21 19:23
The command line parsers need a thorough cleanup before this can be implemented.  Ideally with a new, clean system the install action would just pass all its options to the install command and let it do option validation.
History
Date User Action Args
2014-03-13 00:58:06eric.araujosetstatus: open -> closed
resolution: out of date
stage: resolved
2013-02-01 22:33:35brett.cannonsetnosy: - brett.cannon
2012-05-21 19:23:11eric.araujosetdependencies: + Rewrite the command line parsers and actions system used in distutils2
messages: + msg161290
stage: needs patch -> (no value)
versions: + 3rd party
2012-03-25 06:57:37eric.araujosetassignee: tarek -> eric.araujo
title: Support install options as found in distutils -> distutils2: install action should support same options as install command
messages: + msg156735
stage: needs patch
2011-09-08 19:57:24Arfreversetnosy: + Arfrever
2011-09-08 17:49:46brett.cannoncreate